Changer de version de Samba sous Tiger ?

Le
Nina Popravka
J'aimerais assez avoir la 3.0.23 (actuellement 3.0.10)
Est-ce possible ? Sans tout casser ?
Merci :-)
(je suppose que la réponse sera non)
--
Nina
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
J.P. Poindessault
Le #2471301
In article Nina Popravka
J'aimerais assez avoir la 3.0.23 (actuellement 3.0.10)
Est-ce possible ? Sans tout casser ?
Merci :-)
(je suppose que la réponse sera non...)


Si ça peut t'aider:
http://www.macupdate.com/info.php/id/16066
où je lis: "... REQUIREMENTS
Mac OS X 10.0 or later."
Peut-être des choses aussi dans la discussion en bas de page.

Mais bon, perso, je n'oserai pas sur mon serveur en 10.3.9 où j'ai le pb de
connexion avec Vista que tu as évoqué.

Je n'ai pas trouvé quelle version de samba tourne sous OS X 10.4. Un lien ?

Jean-Pierre

Nina Popravka
Le #2490881
On Thu, 09 Aug 2007 14:05:13 +0200, "J.P. Poindessault"

Je n'ai pas trouvé quelle version de samba tourne sous OS X 10.4. Un lien ?


smbd -V dit 3.10.0
--
Nina

J.P. Poindessault
Le #2490871
In article (Xavier) wrote:

J.P. Poindessault
Je n'ai pas trouvé quelle version de samba tourne sous OS X 10.4. Un lien ?


[ ~]$ smbcontrol --version
Version 3.0.10


comme quoi JPP n'y connait rien en CLI !
Merci

Jean-Pierre


Nina Popravka
Le #2490841
On Thu, 9 Aug 2007 14:14:35 +0200, (Xavier) wrote:

Version 3.0.10


Au fait, Xav, hier j'étais à la limite de la dépression nerveuse sur
le duo Samba / Vista (pour un autre bug, pour lequel il faut que je
demande le hotfix), et j'ai croisé dans le smbd.conf de cette version
une ligne qui cause de NTLM2.
--
Nina

jperrocheau
Le #2478551
Nina Popravka
Au fait, Xav, hier j'étais à la limite de la dépression nerveuse sur
le duo Samba / Vista (pour un autre bug, pour lequel il faut que je
demande le hotfix), et j'ai croisé dans le smbd.conf de cette version
une ligne qui cause de NTLM2.


L'option dans le smb.conf de Mac OS X 10.4:

client ntlmv2 auth = no

veut dire que le "smbclient" de Mac OS X 10.4.X est prié de ne pas
utiliser exclusivement ntlmv2.

AMHA, à laisser en l'état, si tu as encore besoin de causer avec des
serveurs SMB plus anciens.

--
Jacques PERROCHEAU
________________________________________________________________________
e-mail: mailto:

Nina Popravka
Le #2478531
On Thu, 9 Aug 2007 17:00:04 +0200,
(Jacques Perrocheau) wrote:

client ntlmv2 auth = no

veut dire que le "smbclient" de Mac OS X 10.4.X est prié de ne pas
utiliser exclusivement ntlmv2.


On revient au problème de base : mon souci est dans le serveur, pas le
client.
--
Nina

Nina Popravka
Le #2478001
On Thu, 9 Aug 2007 17:16:47 +0200, (Xavier) wrote:

Et ça, ça n'aiderait pas ?
Fix a Vista to Mac failure to connect problem


Oui, Xavier, je sais très bien le faire depuis belle lurette, et je
crois même avoir été la première sur les groupes Mac à donner cette
solution pour ceux qui avaient des problèmes, et que je la donne
régulièrement sur les groupes Win.
Simplement j'en ai ras la touffe de le faire, vu qu'il existe une
version de Samba qui corrige ce problème (et quelques autres assez
chiants...)
--
Nina

jperrocheau
Le #2477991
Xavier
On revient au problème de base : mon souci est dans le serveur, pas le
client.


Et ça, ça n'aiderait pas ?

Fix a Vista to Mac failure to connect problem


On ne sait pas s'il parle de Mac OS X 10.4.X ?

AMHA, le "level 1" "Send LM & NTLM - use NTLMv2 session
security if negotiated" devrait être le compromis qui "marche".

<http://www.microsoft.com/technet/prodtechnol/windowsserver2003/fr/libra
ry/ServerHelp/b7cff04a-53d0-44a7-b2f4-496a17470fb4.mspx?mfr=true>

Bizarre quand même, car quand on lit le man smb.conf du Samba 3.0.10 de
Mac OS X 10.4, il apparait qu'il est capable de faire du "ntlmv2". Bon
il y a peut-être des bugs, je n'ai pas de Vista sous la main pour
tester.

--
Jacques PERROCHEAU
________________________________________________________________________
e-mail: mailto:


Nina Popravka
Le #2477781
On Thu, 9 Aug 2007 22:37:55 +0200,
(Jacques Perrocheau) wrote:

Bizarre quand même, car quand on lit le man smb.conf du Samba 3.0.10 de
Mac OS X 10.4, il apparait qu'il est capable de faire du "ntlmv2". Bon
il y a peut-être des bugs, je n'ai pas de Vista sous la main pour
tester.


En client, tu viens toi meme de le dire.
Moi, j'en ai, du vista sous la main.
Et en plus j'ai donné le lien sur le site de samba indiquant les
correctifs des versions ultérieures pour assurer la compatibllité avec
vista, les bugs sont surs et certains.
--
Nina

J.P. Poindessault
Le #2477061
In article Nina Popravka
J'aimerais assez avoir la 3.0.23 (actuellement 3.0.10)
Est-ce possible ? Sans tout casser ?
Merci :-)
(je suppose que la réponse sera non...)


tu peux peut-être aller faire un tour sur:
http://discussions.apple.com/thread.jspa?messageIDG03697&#4703697
il y a un Mr george qui discute de compilation de samba
"i have tried to compile samba 3.0.25a from samba.org. mac os x 10.4.9"

Jean-Pierre

Publicité
Poster une réponse
Anonyme